# Define the history file path
HISTFILE="$HOME/.cache/zsh/.zsh_history"
[ ! -d "$HOME/.cache/zsh" ] && mkdir -p "$HOME/.cache/zsh"
[ ! -f "$HISTFILE" ] && touch $HISTFILE

HISTSIZE=5000
SAVEHIST=$HISTSIZE

HISTDUP=erase
setopt appendhistory
setopt hist_ignore_space
setopt hist_ignore_all_dups
setopt hist_save_no_dups
setopt hist_ignore_dups
setopt hist_find_no_dups
